Package org.apache.tomcat.util.http

## Class CookieProcessorBase

- java.lang.Object
- - org.apache.tomcat.util.http.CookieProcessorBase

- All Implemented Interfaces:
    `CookieProcessor`
  Direct Known Subclasses:
    `LegacyCookieProcessor`, `Rfc6265CookieProcessor`

      public abstract class CookieProcessorBase
      extends java.lang.Object
      implements CookieProcessor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `ANCIENT_DATE` |
    `protected static java.lang.ThreadLocal<java.text.DateFormat>` | `COOKIE_DATE_FORMAT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CookieProcessorBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SameSiteCookies` | `getSameSiteCookies()` |
    `void` | `setSameSiteCookies​(java.lang.String sameSiteCookies)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tomcat.util.http.CookieProcessor

      `generateHeader, getCharset, parseCookieHeader`

- - ### Field Detail

    - #### COOKIE_DATE_FORMAT

          protected static final java.lang.ThreadLocal<java.text.DateFormat> COOKIE_DATE_FORMAT

    - #### ANCIENT_DATE

          protected static final java.lang.String ANCIENT_DATE

  - ### Constructor Detail

    - #### CookieProcessorBase

          public CookieProcessorBase()

  - ### Method Detail

    - #### getSameSiteCookies

          public SameSiteCookies getSameSiteCookies()

    - #### setSameSiteCookies

          public void setSameSiteCookies​(java.lang.String sameSiteCookies)